Subject: Insert foot

From: [email-masked] (Postgres User)
Date: Thu, 23 Jul 92 13:13:01 -0700

It seems to be my nature that if I say anything in
a public forum, I must be wrong.  Yesterday I blamed
laxness in typing for error messages of the sort:
	an object that gets promoted to an integer
	can only match an integer in the prototype.

Unfortunately the light in my head seems to have some
direct relationship to the one on my modem.  They both
go on about the same time.  The truth of the matter
seems to be this.  The compiler is really complaining
about the form of the definition not the parameters 
contained therein.
    foo(bar)
        char bar;
    {
        ...
    };
complains about integer promotion and parameter type
mismatch since char is smaller in size than an int.
    foo(char bar)
    { 
        ...
    };
however goes merrily on it way.  Imagine "ansi" 
compilers only liking "ansi" style function declarations
and definitions.  Sorry about the presumptuous 
misinfo.

Neil M. McQuaig, III
344 Millicent Way
Shreveport, LA  71106
Voice: (318) 868-5611
Email: uunet!mcquaig!nmm or [email-masked]